IO::NewMonos Namespace Reference

## Functions

void | writeRing (const VarNames &names, FILE *out)
void | readRingNoLeftParen (Scanner &in, VarNames &names)
void | readIdealNoLeftParen (Scanner &in, InputConsumer &consumer)

## Function Documentation

## readIdealNoLeftParen()

void IO::NewMonos::readIdealNoLeftParen | ( | Scanner & | in,
|  | InputConsumer & | consumer )

Definition at line 130 of file NewMonosIOHandler.cpp.

## readRingNoLeftParen()

void IO::NewMonos::readRingNoLeftParen | ( | Scanner & | in,
|  | VarNames & | names )

Definition at line 124 of file NewMonosIOHandler.cpp.

## writeRing()

void IO::NewMonos::writeRing | ( | const VarNames & | names,
|  | FILE * | out )

Definition at line 115 of file NewMonosIOHandler.cpp.